org.apache.maven.scm

## Class ScmBranchParameters

- java.lang.Object
- - org.apache.maven.scm.ScmBranchParameters

All Implemented Interfaces:
  Serializable

    public class ScmBranchParameters
    extends Object
    implements Serializable

Since:
  1.2
Author:
  olamy
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScmBranchParameters()`
`ScmBranchParameters(String message)`

### Method Summary

Methods
`String` `getMessage()`
`String` `getScmRevision()`
`boolean` `isRemoteBranching()`
`void` `setMessage(String message)`
`void` `setRemoteBranching(boolean remoteBranching)`
`void` `setScmRevision(String scmRevision)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmBranchParameters

    public ScmBranchParameters()

#### ScmBranchParameters

    public ScmBranchParameters(String message)

### Method Detail

#### getMessage

    public String getMessage()

#### setMessage

    public void setMessage(String message)

#### getScmRevision

    public String getScmRevision()

#### setScmRevision

    public void setScmRevision(String scmRevision)

#### isRemoteBranching

    public boolean isRemoteBranching()

#### setRemoteBranching

    public void setRemoteBranching(boolean remoteBranching)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`